{"openapi":"3.0.2","info":{"title":"Coin Metrics API v4","description":"[Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward Compatibility Policy](/api-reference/backward-compatibility)<br/> [Python API Client](/python-api-client)<br/><br/>\nHTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin Metrics' paid product.<br/> WebSocket API root endpoint is `wss://api.coinmetrics.io/v4`. Coin Metrics' paid product.<br/><br/> The Community HTTP API root endpoint URL is `https://community-api.coinmetrics.io/v4`. API key is not required when accessing community endpoints. Available to the community under the [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.\n\n# Authentication\n\n<!-- ReDoc-Inject: <security-definitions> -->\n\n# Response headers\n\nNote that Coin Metrics API responses have a `CF-RAY` HTTP header e.g. `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When raising Support requests, please ensure to provide the value of this header.","termsOfService":"https://coinmetrics.io/api/terms","contact":{"name":"Coin Metrics Support","url":"https://coinmetrics.io/support/","email":"support@coinmetrics.io"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0.html"},"version":"4.0.0"},"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"wss://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"tags":[{"name":"Rate limits","description":"To ensure the quality of Coin Metrics services, API is subject to rate limiting.<br/> The community version of API has the limit of 10 requests per 6 seconds sliding window for an IP address.<br/> The trial version of API has the limit of 10 requests per 6 seconds sliding window for an API key.<br/> The paid version of API has the limit of 6000 requests per 20 seconds sliding window for an API key.<br/> The paid and community versions of the API have a limit of 10 parallel HTTP requests, after this limit is reached further parallel requests will be queued, so performance will be slower. <br/> The paid version of API has a limit of 200 concurrent websocket connections for an API Key. <br/> If you reach the request-per-second limit, API starts to return `429 Too Many Requests` HTTP response status.<br/> API also provides `X-RateLimit-*` response headers formatted according to <https://tools.ietf.org/html/draft-polli-ratelimit-headers-03>."},{"name":"Reference Data","description":"Metadata information of entities supported by Coin Metrics."},{"name":"Catalog","x-displayName":"Catalog (deprecated)","description":"Catalog of available for your `api_key` data.<br/> Use the [Full catalog](#tag/Full-catalog) endpoints for the full list of supported by Coin Metrics data. <br/>DEPRECATED: See <https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/>."},{"name":"Catalog v2","description":"Catalog of available for your `api_key` data.<br/> Use the [Full catalog V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin Metrics data."},{"name":"Full catalog","x-displayName":"Full catalog (deprecated)","description":"The Full catalog returns the full range of data that is supported by Coin Metrics across all our products.<br/> If you are a client looking to understand the data that is available for your API key and data license, please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See <https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/>."},{"name":"Full catalog v2","description":"The Full catalog returns the full range of data that is supported by Coin Metrics across all our products.<br/> If you are a client looking to understand the data that is available for your API key and data license, please use the [Catalog](#tag/Catalog-v2) endpoint."},{"name":"Timeseries","description":"Endpoints for fetching metrics, market data, indexes and other time series data."},{"name":"Timeseries stream","description":"WebSocket endpoints for getting a real-time stream of metrics, market data, indexes and other time series data."},{"name":"Taxonomy","description":"Taxonomy endpoints"},{"name":"Taxonomy Metadata","description":"Taxonomy Metadata endpoints"},{"name":"Profile","description":"Profile endpoints"},{"name":"List of blockchain entities v2","description":"Endpoints for fetching lists of blockchain entities."},{"name":"Full blockchain entities v2","description":"Endpoints for fetching full blockchain entities."},{"name":"Jobs","description":"Jobs API endpoints"},{"name":"Blockchain Explorer Job","description":"Endpoints for creating async jobs for blockchain entities."},{"name":"Blockchain Explorer Job Results","description":"Schema definitions of results of Blockchain Explorer Job endpoints."},{"name":"Chain Monitor tools","description":"Endpoints for working with chain monitor data."},{"name":"Security Master","description":"Security Master endpoints"},{"name":"Constituent Snapshots","description":"Endpoints for getting the snapshots of various constituents"},{"name":"Constituent Timeframes","description":"Endpoints for getting the timeframes of various constituents"},{"name":"Blockchain Metadata","description":"Blockchain metadata endpoints"},{"name":"Internal endpoints","description":"Endpoints for CoinMetrics internal usage."}],"x-tagGroups":[{"name":"General","tags":["Rate limits"]},{"name":"Reference Data","tags":["Reference Data","Profile","Taxonomy","Taxonomy Metadata"]},{"name":"Catalog","tags":["Catalog","Full catalog","Catalog v2","Full catalog v2"]},{"name":"Timeseries","tags":["Timeseries","Timeseries stream"]},{"name":"Universal blockchain explorer","tags":["List of blockchain entities v2","Full blockchain entities v2","Blockchain Explorer Job","Blockchain Explorer Job Results"]},{"name":"Tools","tags":["Chain Monitor tools"]},{"name":"Security Master","tags":["Security Master"]},{"name":"Constituents","tags":["Constituent Snapshots","Constituent Timeframes"]},{"name":"Blockchain Metadata","tags":["Blockchain Metadata"]},{"name":"Jobs","tags":["Jobs"]},{"name":"Internal","tags":["Internal"]}],"paths":{"/reference-data/assets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Assets","description":"Returns a list of assets metadata.","operationId":"getReferenceDataAssets","x-codeSamples":{"$ref":"./samples/reference_data_assets.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataAssets"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/exchanges":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Exchanges","description":"Returns a list of exchanges metadata.","operationId":"getReferenceDataExchanges","x-codeSamples":{"$ref":"./samples/reference_data_exchanges.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeId"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataExchanges"},"400":{"$ref":"#/components/responses/ExchangeNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/markets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Markets","description":"Returns a list of markets metadata.","operationId":"getReferenceDataMarkets","x-codeSamples":{"$ref":"./samples/reference_data_markets.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataMarkets"},"400":{"$ref":"#/components/responses/MarketNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/indexes":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Indexes","description":"Returns a list of indexes metadata.","operationId":"getReferenceDataIndexes","x-codeSamples":{"$ref":"./samples/reference_data_indexes.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogIndexId"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataIndexes"},"400":{"$ref":"#/components/responses/IndexNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/pairs":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Pairs","description":"Returns a list of pairs metadata.","operationId":"getReferenceDataPairs","x-codeSamples":{"$ref":"./samples/reference_data_pairs.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogPairId"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataPairs"},"400":{"$ref":"#/components/responses/PairNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Asset metrics","description":"Returns a list of asset metrics metadata.","operationId":"getReferenceDataAssetMetrics","x-codeSamples":{"$ref":"./samples/reference_data_asset_metrics.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/exchange-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Exchange metrics","description":"Returns a list of exchange metrics metadata.","operationId":"getReferenceDataExchangeMetrics","x-codeSamples":{"$ref":"./samples/reference_data_exchange_metrics.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataExchangeMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/exchange-asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Exchange asset metrics","description":"Returns a list of exchange asset metrics metadata.","operationId":"getReferenceDataExchangeAssetMetrics","x-codeSamples":{"$ref":"./samples/reference_data_exchange_asset_metrics.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataExchangeAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/pair-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Pair metrics","description":"Returns a list of pair metrics metadata.","operationId":"getReferenceDataPairMetrics","x-codeSamples":{"$ref":"./samples/reference_data_pair_metrics.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataPairMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/institution-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Institution metrics","description":"Returns a list of institution metrics metadata.","operationId":"getReferenceDataInstitutionMetrics","x-codeSamples":{"$ref":"./samples/reference_data_institution_metrics.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataInstitutionMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/reference-data/market-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Market metrics","description":"Returns a list of market metrics metadata.","operationId":"getReferenceDataMarketMetrics","x-codeSamples":{"$ref":"./samples/reference_data_market_metrics.yaml"},"tags":["Reference Data"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ReferenceDataMarketMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/constituent-snapshots/asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Snapshots of asset metric constituents","description":"Returns snapshots of asset metric constituents. \\\nResults are sorted by tuple (`time`, `constituent_name`), where `constituent_name` depends on a target metric.\nE.g., the `volume_trusted_spot_usd_1d` metric constituents are exchanges,\ni.e. the output will be sorted by (`time`, `exchange`).","operationId":"getConstituentSnapshotsAssetMetrics","x-codeSamples":{"$ref":"./samples/constituent_snapshots_asset_metrics.yaml"},"tags":["Constituent Snapshots"],"parameters":[{"$ref":"#/components/parameters/ConstituentsMetricName"},{"$ref":"#/components/parameters/ConstituentsAtTime"},{"$ref":"#/components/parameters/ConstituentsStartTime"},{"$ref":"#/components/parameters/ConstituentsEndTime"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFrom"},{"$ref":"#/components/parameters/Format"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/AssetMetricsConstituentSnapshots"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/constituent-timeframes/asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Timeframes of asset metric constituents","description":"Returns timeframes of asset metric constituents. \\\nResults are sorted by tuple (`start_time`, `constituent_name`), where constituent depends on a target metric.\nE.g., the `volume_trusted_spot_usd_1d` metric constituents are exchanges,\ni.e. the output will be sorted by (`start_time`, `exchange`).","operationId":"getConstituentTimeframesAssetMetrics","x-codeSamples":{"$ref":"./samples/constituent_timeframes_asset_metrics.yaml"},"tags":["Constituent Timeframes"],"parameters":[{"$ref":"#/components/parameters/ConstituentsMetricName"},{"$ref":"#/components/parameters/ConstituentId"},{"$ref":"#/components/parameters/ConstituentsStartTime"},{"$ref":"#/components/parameters/ConstituentsEndTime"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFrom"},{"$ref":"#/components/parameters/Format"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/AssetMetricsConstituentTimeframes"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/assets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available assets","description":"Returns a list of available assets along with information for them like metrics, markets, exchanges and time ranges of available data.","operationId":"getCatalogAssets","x-codeSamples":{"$ref":"./samples/catalog_assets.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/CatalogAssetIncludeFields"},{"$ref":"#/components/parameters/CatalogAssetExcludeFields"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Assets"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available metrics","description":"Returns a list of available metrics along with information for them like description, category and assets for which a metric is available.</br>This endpoint is deprecated, please use [/catalog/asset-metrics](#operation/getCatalogAssetMetrics) instead.","operationId":"getCatalogMetrics","x-codeSamples":{"$ref":"./samples/catalog_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available asset metrics","description":"Returns a list of available asset metrics along with information for them like description, category and assets for which a metric is available.","operationId":"getCatalogAssetMetrics","x-codeSamples":{"$ref":"./samples/catalog_asset_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/exchange-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available exchange metrics","description":"Returns a list of available exchange metrics along with information for them like description, category and exchanges for which a metric is available.","operationId":"getCatalogExchangeMetrics","x-codeSamples":{"$ref":"./samples/catalog_exchange_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogExchangeMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/exchange-asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available exchange-asset metrics","description":"Returns a list of available exchange-asset metrics along with information for them like description, category and exchange-asset pairs for which a metric is available.","operationId":"getCatalogExchangeAssetMetrics","x-codeSamples":{"$ref":"./samples/catalog_exchange_asset_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogExchangeAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/pair-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available pair metrics","description":"Returns a list of available pair metrics along with information for them like description, category and pairs for which a metric is available.","operationId":"getCatalogPairMetrics","x-codeSamples":{"$ref":"./samples/catalog_pair_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogPairMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/institution-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available institution metrics","description":"Returns a list of available institution metrics along with information for them like description, category and institutions for which a metric is available.","operationId":"getCatalogInstitutionMetrics","x-codeSamples":{"$ref":"./samples/catalog_institution_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogInstitutionMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/exchanges":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available exchanges","description":"Returns a list of available exchanges along with available markets for them.","operationId":"getCatalogExchanges","x-codeSamples":{"$ref":"./samples/catalog_exchanges.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Exchanges"},"400":{"$ref":"#/components/responses/ExchangeNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"}},"security":[{"api_key":[]}]}},"/catalog/exchange-assets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available exchange-asset pairs","description":"Returns a list of available exchange-asset pairs along with information for them like metrics and time ranges of available data.","operationId":"getCatalogExchangeAssets","x-codeSamples":{"$ref":"./samples/catalog_exchange_assets.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ExchangeAssets"},"400":{"$ref":"#/components/responses/PairNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/pairs":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available asset pairs","description":"Returns a list of available asset pairs along with information for them like metrics and time ranges of available data.","operationId":"getCatalogAssetPairs","x-codeSamples":{"$ref":"./samples/catalog_pairs.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogPairId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Pairs"},"400":{"$ref":"#/components/responses/PairNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/pair-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available asset pair candles","description":"Returns a list of available asset pair candles along with the time ranges of available data per candle duration.","operationId":"getCatalogPairCandles","x-codeSamples":{"$ref":"./samples/catalog_pair_candles.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogPairId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogPairCandles"},"400":{"$ref":"#/components/responses/PairNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/institutions":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available institutions","description":"Returns a list of available institutions along with information for them like metrics and time ranges of available data.","operationId":"getCatalogInstitutions","x-codeSamples":{"$ref":"./samples/catalog_institutions.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogInstitutionId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Institutions"},"400":{"$ref":"#/components/responses/InstitutionNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"}},"security":[{"api_key":[]}]}},"/catalog/markets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available markets","description":"Returns a list of available markets along with time ranges of available data.","operationId":"getCatalogMarkets","x-codeSamples":{"$ref":"./samples/catalog_markets.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogMarketIncludeFields"},{"$ref":"#/components/parameters/CatalogMarketExcludeFields"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Markets"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-trades":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market trades","description":"Returns a list of markets with trades support along with the time ranges of available data.","operationId":"getCatalogMarketTrades","x-codeSamples":{"$ref":"./samples/catalog_market_trades.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketTrades"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market candles","description":"Returns a list of markets with candles support along with the time ranges of available data per candle duration.","operationId":"getCatalogMarketCandles","x-codeSamples":{"$ref":"./samples/catalog_market_candles.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketCandles"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-orderbooks":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market orderbooks","description":"Returns a list of markets with orderbooks support along with the time ranges of available data.","operationId":"getCatalogMarketOrderbooks","x-codeSamples":{"$ref":"./samples/catalog_market_orderbooks.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketOrderbooks"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-quotes":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market quotes","description":"Returns a list of markets with quotes support along with the time ranges of available data.","operationId":"getCatalogMarketQuotes","x-codeSamples":{"$ref":"./samples/catalog_market_quotes.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketQuotes"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-funding-rates":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market funding rates","description":"Returns a list of markets with funding rates support along with the time ranges of available data.","operationId":"getCatalogMarketFundingRates","x-codeSamples":{"$ref":"./samples/catalog_market_funding_rates.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketFundingRates"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-contract-prices":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market contract prices","description":"Returns a list of contract prices for option market.","operationId":"getCatalogMarketContractPrices","x-codeSamples":{"$ref":"./samples/catalog_market_contract_prices.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketContractPrices"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-implied-volatility":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market implied volatility","description":"Returns a list of implied volatility for option market.","operationId":"getCatalogMarketImpliedVolatility","x-codeSamples":{"$ref":"./samples/catalog_market_implied_volatility.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketImpliedVolatility"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-greeks":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market greeks","description":"Returns a list of greeks for option market.","operationId":"getCatalogMarketGreeks","x-codeSamples":{"$ref":"./samples/catalog_market_greeks.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketGreeks"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-openinterest":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market open interest","description":"Returns a list of markets with open interest support along with the time ranges of available data.","operationId":"getCatalogMarketOpeninterest","x-codeSamples":{"$ref":"./samples/catalog_market_openinterest.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketOpeninterest"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-liquidations":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market liquidations","description":"Returns a list of markets with liquidations support along with the time ranges of available data.","operationId":"getCatalogMarketLiquidations","x-codeSamples":{"$ref":"./samples/catalog_market_liquidations.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketLiquidations"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/market-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available market metrics","description":"Returns a list of markets with metrics support along with the time ranges of available data per metric.","operationId":"getCatalogMarketMetrics","x-codeSamples":{"$ref":"./samples/catalog_market_metrics.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketMetrics"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/indexes":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available indexes","description":"Returns a list of available indexes along with time ranges of available data.","operationId":"getCatalogIndexes","x-codeSamples":{"$ref":"./samples/catalog_indexes.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogIndexId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Indexes"},"400":{"$ref":"#/components/responses/IndexNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/index-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available index candles","description":"Returns a list of available index candles along with the time ranges of available data per candle duration.","operationId":"getCatalogIndexCandles","x-codeSamples":{"$ref":"./samples/catalog_index_candles.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogIndexId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogIndexCandles"},"400":{"$ref":"#/components/responses/IndexNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/asset-alerts":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available asset alerts","description":"Returns a list of available asset alerts along with their descriptions, thresholds and constituents.","operationId":"getCatalogAssetAlertRules","x-codeSamples":{"$ref":"./samples/catalog_asset_alerts.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/CatalogAssetAlertId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/AssetAlertRules"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/AssetAlertNotFound"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/asset-chains":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available asset chains","description":"Returns a list of available assets for the asset-chains endpoint along with time ranges of available data.","operationId":"getCatalogAssetChains","x-codeSamples":{"$ref":"./samples/catalog_asset_chains.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogAssetChains"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/mempool-feerates":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available mempool feerates","description":"Returns a list of available assets for the mempool-feerates endpoint along with time ranges of available data.","operationId":"getCatalogMempoolFeerates","x-codeSamples":{"$ref":"./samples/catalog_mempool_feerates.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMempoolFeerates"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/mining-pool-tips-summary":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available mining pool tips summaries","description":"Returns a list of available assets for the mining-pool-tips-summary endpoint along with time ranges of available data.","operationId":"getCatalogMiningPoolTipsSummary","x-codeSamples":{"$ref":"./samples/catalog_mining_pool_tips_summary.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMiningPoolTipsSummary"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog/transaction-tracker":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Available transaction tracker assets","description":"Returns a list of available assets for the transaction-tracker endpoint along with time ranges of available data.","operationId":"getCatalogTransactionTracker","x-codeSamples":{"$ref":"./samples/catalog_transaction_tracker.yaml"},"tags":["Catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogTransactionTracker"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/assets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported assets","description":"Returns a list of all supported assets along with information for them like metrics, markets, exchanges and time ranges of available data.","operationId":"getCatalogAllAssets","x-codeSamples":{"$ref":"./samples/catalog_all_assets.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/CatalogAssetIncludeFields"},{"$ref":"#/components/parameters/CatalogAssetExcludeFields"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Assets"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported metrics","description":"Returns a list of all supported metrics along with information for them like description, category and assets for which a metric is available.</br>This endpoint is deprecated, please use [/catalog-all/asset-metrics](#operation/getCatalogAllAssetMetrics) instead.","operationId":"getCatalogAllMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported asset metrics","description":"Returns a list of all supported asset metrics along with information for them like description, category and assets for which a metric is available.","operationId":"getCatalogAllAssetMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_asset_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/exchange-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported exchange metrics","description":"Returns a list of all supported exchange metrics along with information for them like description, category and exchanges for which a metric is available.","operationId":"getCatalogAllExchangeMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_exchange_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogExchangeMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/exchange-asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported exchange-asset metrics","description":"Returns a list of all supported exchange-asset metrics along with information for them like description, category and exchange-asset pairs for which a metric is available.","operationId":"getCatalogAllExchangeAssetMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_exchange_asset_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogExchangeAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/pair-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported pair metrics","description":"Returns a list of all supported pair metrics along with information for them like description, category and pairs for which a metric is available.","operationId":"getCatalogAllPairMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_pair_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogPairMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/institution-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported institution metrics","description":"Returns a list of all supported institution metrics along with information for them like description, category and institutions for which a metric is available.","operationId":"getCatalogAllInstitutionMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_institution_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogInstitutionMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/exchanges":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported exchanges","description":"Returns a list of all supported exchanges along with available markets for them.","operationId":"getCatalogAllExchanges","x-codeSamples":{"$ref":"./samples/catalog_all_exchanges.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Exchanges"},"400":{"$ref":"#/components/responses/ExchangeNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"}},"security":[{"api_key":[]}]}},"/catalog-all/exchange-assets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported exchange-asset pairs","description":"Returns a list of all supported exchange-asset pairs along with information for them like metrics and time ranges of available data.","operationId":"getCatalogAllExchangeAssets","x-codeSamples":{"$ref":"./samples/catalog_all_exchange_assets.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/ExchangeAssets"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/pairs":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported asset pairs","description":"Returns a list of all supported asset pairs along with information for them like metrics and time ranges of available data.","operationId":"getCatalogAllAssetPairs","x-codeSamples":{"$ref":"./samples/catalog_all_pairs.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogPairId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Pairs"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/pair-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported asset pair candles","description":"Returns a list of all supported asset pair candles along with the time ranges of available data per candle duration.","operationId":"getCatalogAllPairCandles","x-codeSamples":{"$ref":"./samples/catalog_all_pair_candles.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogPairId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogPairCandles"},"400":{"$ref":"#/components/responses/PairNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/institutions":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported institutions","description":"Returns a list of all support institutions along with information for them like metrics and time ranges of available data.","operationId":"getCatalogAllInstitutions","x-codeSamples":{"$ref":"./samples/catalog_all_institutions.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogInstitutionId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Institutions"},"400":{"$ref":"#/components/responses/InstitutionNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"}},"security":[{"api_key":[]}]}},"/catalog-all/markets":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported markets","description":"Returns a list of all supported markets along with time ranges of available data.","operationId":"getCatalogAllMarkets","x-codeSamples":{"$ref":"./samples/catalog_all_markets.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogMarketIncludeFields"},{"$ref":"#/components/parameters/CatalogMarketExcludeFields"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Markets"},"400":{"$ref":"#/components/responses/MarketNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-trades":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market trades","description":"Returns a list of all markets with trades support along with the time ranges of available data.","operationId":"getCatalogAllMarketTrades","x-codeSamples":{"$ref":"./samples/catalog_all_market_trades.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketTrades"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market candles","description":"Returns a list of all markets with candles support along with time ranges of available data per candle duration.","operationId":"getCatalogAllMarketCandles","x-codeSamples":{"$ref":"./samples/catalog_all_market_candles.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketCandles"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-orderbooks":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market orderbooks","description":"Returns a list of all markets with orderbooks support along with the time ranges of available data.","operationId":"getCatalogAllMarketOrderbooks","x-codeSamples":{"$ref":"./samples/catalog_all_market_orderbooks.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketOrderbooks"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-quotes":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market quotes","description":"Returns a list of all markets with quotes support along with the time ranges of available data.","operationId":"getCatalogAllMarketQuotes","x-codeSamples":{"$ref":"./samples/catalog_all_market_quotes.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketQuotes"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-funding-rates":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market funding rates","description":"Returns a list of all markets with funding rates support along with the time ranges of available data.","operationId":"getCatalogAllMarketFundingRates","x-codeSamples":{"$ref":"./samples/catalog_all_market_funding_rates.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketFundingRates"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-contract-prices":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market contract prices","description":"Returns a list of all market contract prices for option market.","operationId":"getCatalogAllMarketContractPrices","x-codeSamples":{"$ref":"./samples/catalog_all_market_contract_prices.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketContractPrices"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-implied-volatility":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market implied volatility","description":"Returns a list of all market implied volatility for option market.","operationId":"getCatalogAllMarketImpliedVolatility","x-codeSamples":{"$ref":"./samples/catalog_all_market_implied_volatility.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketImpliedVolatility"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-greeks":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market greeks","description":"Returns a list of all market greeks for option market.","operationId":"getCatalogAllMarketGreeks","x-codeSamples":{"$ref":"./samples/catalog_all_market_greeks.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketGreeks"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-openinterest":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market open interest","description":"Returns a list of all markets with open interest support along with the time ranges of available data.","operationId":"getCatalogAllMarketOpeninterest","x-codeSamples":{"$ref":"./samples/catalog_all_market_openinterest.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketOpeninterest"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-liquidations":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market liquidations","description":"Returns a list of all markets with liquidations support along with the time ranges of available data.","operationId":"getCatalogAllMarketLiquidations","x-codeSamples":{"$ref":"./samples/catalog_all_market_liquidations.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketLiquidations"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/market-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported market metrics","description":"Returns a list of all markets with market metrics support along with time ranges of available data per metric.","operationId":"getCatalogAllMarketMetrics","x-codeSamples":{"$ref":"./samples/catalog_all_market_metrics.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/CatalogMarketLimit"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMarketMetrics"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/indexes":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported indexes","description":"Returns a list of all supported indexes along with time ranges of available data.","operationId":"getCatalogAllIndexes","x-codeSamples":{"$ref":"./samples/catalog_all_indexes.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogIndexId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/Indexes"},"400":{"$ref":"#/components/responses/IndexNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"}},"security":[{"api_key":[]}]}},"/catalog-all/index-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported index candles","description":"Returns a list of all supported index candles along with the time ranges of available data per candle duration.","operationId":"getCatalogAllIndexCandles","x-codeSamples":{"$ref":"./samples/catalog_all_index_candles.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogIndexId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogIndexCandles"},"400":{"$ref":"#/components/responses/IndexNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/asset-alerts":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported asset alerts","description":"Returns a list of all supported asset alerts along with their descriptions, thresholds and constituents.","operationId":"getCatalogAllAssetAlertRules","x-codeSamples":{"$ref":"./samples/catalog_all_asset_alerts.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/CatalogAssetAlertId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/AssetAlertRules"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/AssetAlertNotFound"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/asset-chains":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported asset chains","description":"Returns a list of supported assets for the asset-chains endpoint along with time ranges of available data.","operationId":"getCatalogAllAssetChains","x-codeSamples":{"$ref":"./samples/catalog_all_asset_chains.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogAssetChains"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/mempool-feerates":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported mempool feerates","description":"Returns a list of supported assets for the mempool-feerates endpoint along with time ranges of available data.","operationId":"getCatalogAllMempoolFeerates","x-codeSamples":{"$ref":"./samples/catalog_all_mempool_feerates.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMempoolFeerates"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/mining-pool-tips-summary":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported mining pool tips summaries","description":"Returns a list of supported assets for the mining-pool-tips-summary endpoint along with time ranges of available data.","operationId":"getCatalogAllMiningPoolTipsSummary","x-codeSamples":{"$ref":"./samples/catalog_all_mining_pool_tips_summary.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogMiningPoolTipsSummary"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-all/transaction-tracker":{"servers":[{"url":"https://api.coinmetrics.io/v4"}],"get":{"deprecated":true,"summary":"Supported transaction tracker assets","description":"Returns a list of supported assets for the transaction-tracker endpoint along with time ranges of available data.","operationId":"getCatalogAllTransactionTracker","x-codeSamples":{"$ref":"./samples/catalog_all_transaction_tracker.yaml"},"tags":["Full catalog"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogTransactionTracker"},"400":{"$ref":"#/components/responses/AssetNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available asset metrics","description":"Returns a list of available asset metrics along with the time ranges of available data.","operationId":"getCatalogV2AssetMetrics","x-codeSamples":{"$ref":"./samples/catalog_v2_asset_metrics.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogAssetId"},{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/Reviewable"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2AssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/exchange-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available exchange metrics","description":"Returns a list of available exchange metrics along with the time ranges of available data.","operationId":"getCatalogV2ExchangeMetrics","x-codeSamples":{"$ref":"./samples/catalog_v2_exchange_metrics.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeId"},{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2ExchangeMetrics"},"400":{"$ref":"#/components/responses/ExchangeNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"}},"security":[{"api_key":[]}]}},"/catalog-v2/exchange-asset-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available exchange-asset metrics","description":"Returns a list of available exchange-asset metrics along with the time ranges of available data.","operationId":"getCatalogV2ExchangeAssetMetrics","x-codeSamples":{"$ref":"./samples/catalog_v2_exchange_asset_metrics.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogExchangeAssetId"},{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2ExchangeAssetMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/pair-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available pair metrics","description":"Returns a list of available pair metrics along with the time ranges of available data.","operationId":"getCatalogV2PairMetrics","x-codeSamples":{"$ref":"./samples/catalog_v2_pair_metrics.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogPairId"},{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2PairMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/institution-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available institution metrics","description":"Returns a list of available institution metrics along with the time ranges of available data.","operationId":"getCatalogV2InstitutionMetrics","x-codeSamples":{"$ref":"./samples/catalog_v2_institution_metrics.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogInstitutionId"},{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/NextPageToken"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2InstitutionMetrics"},"400":{"$ref":"#/components/responses/MetricNotFound"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-trades":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market trades","description":"Returns a list of markets with trades support along with the time ranges of available data.","operationId":"getCatalogV2MarketTrades","x-codeSamples":{"$ref":"./samples/catalog_v2_market_trades.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketTrades"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-candles":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market candles","description":"Returns a list of markets with candles support along with the time ranges of available data per candle duration.","operationId":"getCatalogV2MarketCandles","x-codeSamples":{"$ref":"./samples/catalog_v2_market_candles.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketCandles"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-orderbooks":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market orderbooks","description":"Returns a list of markets with orderbooks support along with the time ranges of available data.","operationId":"getCatalogV2MarketOrderbooks","x-codeSamples":{"$ref":"./samples/catalog_v2_market_orderbooks.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketOrderbooks"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-quotes":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market quotes","description":"Returns a list of markets with quotes support along with the time ranges of available data.","operationId":"getCatalogV2MarketQuotes","x-codeSamples":{"$ref":"./samples/catalog_v2_market_quotes.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketQuotes"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-funding-rates":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market funding rates","description":"Returns a list of markets with funding rates support along with the time ranges of available data.","operationId":"getCatalogV2MarketFundingRates","x-codeSamples":{"$ref":"./samples/catalog_v2_market_funding_rates.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketFundingRates"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-funding-rates-predicted":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available predicted market funding rates","description":"Returns a list of markets with predicted funding rates support along with the time ranges of available data.","operationId":"getCatalogV2MarketFundingRatesPredicted","x-codeSamples":{"$ref":"./samples/catalog_v2_market_funding_rates_predicted.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketFundingRatesPredicted"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-contract-prices":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market contract prices","description":"Returns a list of contract prices for option market.","operationId":"getCatalogV2MarketContractPrices","x-codeSamples":{"$ref":"./samples/catalog_v2_market_contract_prices.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketContractPrices"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-implied-volatility":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market implied volatility","description":"Returns a list of implied volatility for option market.","operationId":"getCatalogV2MarketImpliedVolatility","x-codeSamples":{"$ref":"./samples/catalog_v2_market_implied_volatility.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketImpliedVolatility"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-greeks":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market greeks","description":"Returns a list of greeks for option market.","operationId":"getCatalogV2MarketGreeks","x-codeSamples":{"$ref":"./samples/catalog_v2_market_greeks.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketGreeks"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-openinterest":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market open interest","description":"Returns a list of markets with open interest support along with the time ranges of available data.","operationId":"getCatalogV2MarketOpeninterest","x-codeSamples":{"$ref":"./samples/catalog_v2_market_openinterest.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketOpeninterest"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-liquidations":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market liquidations","description":"Returns a list of markets with liquidations support along with the time ranges of available data.","operationId":"getCatalogV2MarketLiquidations","x-codeSamples":{"$ref":"./samples/catalog_v2_market_liquidations.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketLiquidations"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/market-metrics":{"servers":[{"url":"https://api.coinmetrics.io/v4"},{"url":"https://community-api.coinmetrics.io/v4"}],"get":{"summary":"Available market metrics","description":"Returns a list of markets with metrics support along with the time ranges of available data per metric.","operationId":"getCatalogV2MarketMetrics","x-codeSamples":{"$ref":"./samples/catalog_v2_market_metrics.yaml"},"tags":["Catalog v2"],"parameters":[{"$ref":"#/components/parameters/CatalogMarketId"},{"$ref":"#/components/parameters/Exchange"},{"$ref":"#/components/parameters/MarketType"},{"$ref":"#/components/parameters/MarketBase"},{"$ref":"#/components/parameters/MarketQuote"},{"$ref":"#/components/parameters/MarketAsset"},{"$ref":"#/components/parameters/MarketSymbol"},{"$ref":"#/components/parameters/CatalogMetric"},{"$ref":"#/components/parameters/CatalogResponseFormat"},{"$ref":"#/components/parameters/PageSize"},{"$ref":"#/components/parameters/PagingFromWithStartByDefault"},{"$ref":"#/components/parameters/Pretty"},{"$ref":"#/components/parameters/NextPageToken"}],"responses":{"200":{"$ref":"#/components/responses/CatalogV2MarketMetrics"},"401":{"$ref":"#/components/responses/Unauthorized"},"414":{"$ref":"#/components/responses/UriTooLong"}},"security":[{"api_key":[]}]}},"/catalog-v2/pair
[...]
